Skip to main content
GET
Get a widget access token

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Query Parameters

card_id
string<uuid>

Card ID

Example:

"6dc0397d-1aba-4be9-9582-895a7a887d49"

widget_type
enum<string>
required
Available options:
SET_PIN,
GET_PIN,
ACTIVATE,
REVEAL

Response

Client token

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

widget_token
string
required

A short-lived, one-time token for use with Synctera widgets

Example:

"0b0319e2-d5f4-49cb-b426-9ff9b2e96969"